explain_adjtimex_or_die(3)

NAME
explain_adjtimex_or_die - tune kernel clock and report errors
    "tune kernel clock and report errors"

SYNOPSIS
#include <libexplain/adjtimex.h>

int explain_adjtimex_or_die(struct timex *data);
int explain_adjtimex_on_error(struct timex *data);

DESCRIPTION
The explain_adjtimex_or_die function is used to call the adjtimex(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_adjtimex(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_adjtimex_on_error function is used to call the adjtimex(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_adjtimex(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the adjtimex(2) system call.

RETURN VALUE
The explain_adjtimex_or_die function only returns on success, see adjtimex(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_adjtimex_on_error function always returns the value return by the wrapped adjtimex(2) system call.

EXAMPLE
The explain_adjtimex_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_adjtimex_or_die(data);

SEE ALSO

adjtimex(2)
    tune kernel clock

explain_adjtimex(3)
    explain adjtimex(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller